<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Title</title>
</head>
<body>
<div className='authorization'>
	<form className='form'>
		<h1>Login</h1>



		{(emailDirty && emailError) && <div style={{color:'red'}}>{emailError}</div>}
		<input  className='input_container' onChange={el => handlerEmail(el)} value={email} onBlur={el => blurOn(el)} name='email' type='text' placeholder='Enter your email....'/>


		{(passwordDirty && passwordError) && <div style={{color:'red'}}>{passwordError}</div>}
		<br></br>
		<input className='input_container' onChange={el => handlerPassword(el)} value={password} onBlur={el => blurOn(el)} name='password' type='password' placeholder='Enter your password....'/>


		<br></br>
		<input onChange={el => handlerFirstName(el)} onBlur={el => blurOn(el)} value={firstName} className='input_container'  name='firstName' type='text' placeholder='Enter your firstName....'/>
		{(firstNameDirty && firstNameError) && <div style={{color:'red'}}>{firstNameError}</div>}


		<br></br>
		<input   onChange={el => handlerSecondName(el)}  onBlur={el => blurOn(el)} value={secondName} className='input_container'  name='secondName' type='text' placeholder='Enter your secondName....'/>
		{(secondNameDirty && secondNameError) && <div style={{color:'red'}}>{secondNameError}</div>}


		<br></br>
		<button disabled={!validButton} type="submit" className='button'>Registration</button>
	</form>
</div>
<script src="main.js">
</script>
</body>
</html>